# Uses of Interface
org.apache.wiki.parser.HeadingListener

Packages that use HeadingListener
Package
Description
org.apache.wiki.parser
org.apache.wiki.plugin
Provides plugins to the JSPWiki.

## Uses of HeadingListener in org.apache.wiki.parser

Fields in org.apache.wiki.parser with type parameters of type HeadingListener
Modifier and Type
Field
Description
`protected final ArrayList<HeadingListener>`
MarkupParser.`m_headingListenerChain`
Methods in org.apache.wiki.parser with parameters of type HeadingListener
Modifier and Type
Method
Description
`void`
MarkupParser.`addHeadingListener(HeadingListener listener)`
Adds a HeadingListener to the parser chain.

## Uses of HeadingListener in org.apache.wiki.plugin

Classes in org.apache.wiki.plugin that implement HeadingListener
Modifier and Type
Class
Description
`class`
`TableOfContents`
Provides a table of contents.